* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2012-06-25 16:51 Michael Palimaka
0 siblings, 0 replies; 18+ messages in thread
From: Michael Palimaka @ 2012-06-25 16:51 UTC (permalink / raw
To: gentoo-commits
commit: fc735f4a3a8b853f4538f883d21612224b10ef2f
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 25 16:48:55 2012 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Mon Jun 25 16:48:55 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=fc735f4a
[app-misc/strigi] Add workaround for upstream switching their submodules to use URL prefixes, wrt bug #421857.
Note that people bitten by this bug may need to manually remove ${PORTDIR}/distfiles/egit-src/strigi/ to get a fresh checkout.
Upstream commit: http://quickgit.kde.org/index.php?p=strigi.git&a=commitdiff&h=b4e0fcf44aa7e0a1aad0826fd86721ed5567bf61
(Portage version: 2.1.11.1/git/Linux x86_64, unsigned Manifest commit)
---
app-misc/strigi/strigi-9999.ebuild | 7 +++++++
1 files changed, 7 insertions(+), 0 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index d4bbe7e..b4f4136 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -48,6 +48,13 @@ DEPEND="${COMMONDEPEND}
test? ( dev-util/cppunit )"
RDEPEND="${COMMONDEPEND}"
+if [[ ${PV} == 9999 ]] ; then
+ src_unpack() {
+ git config --global url."git://anongit.kde.org/".insteadOf "kde:"
+ git-2_src_unpack
+ }
+fi
+
src_configure() {
# Enabled: POLLING (only reliable way to check for files changed.)
# Disabled: xine - recommended upstream to keep it this way
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2015-07-18 21:31 Johannes Huber
0 siblings, 0 replies; 18+ messages in thread
From: Johannes Huber @ 2015-07-18 21:31 UTC (permalink / raw
To: gentoo-commits
commit: 670dcc09861497da9840673db7fb5829f249d471
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 18 21:23:09 2015 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sat Jul 18 21:23:09 2015 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=670dcc09
[app-misc/strigi] Remove
Unmaintained upstream, part of deprecated semantic desktop stack aka
Nepomuk.
app-misc/strigi/metadata.xml | 10 ----
app-misc/strigi/strigi-9999.ebuild | 94 --------------------------------------
2 files changed, 104 deletions(-)
diff --git a/app-misc/strigi/metadata.xml b/app-misc/strigi/metadata.xml
deleted file mode 100644
index 573236b..0000000
--- a/app-misc/strigi/metadata.xml
+++ /dev/null
@@ -1,10 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <herd>kde</herd>
- <use>
- <flag name="clucene">Enable <pkg>dev-cpp/clucene</pkg> backend support.</flag>
- <flag name="log">Enables advanced logging through <pkg>dev-libs/log4cxx</pkg>.</flag>
- <flag name="inotify">Enable support for inotify.</flag>
- </use>
-</pkgmetadata>
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
deleted file mode 100644
index c71edd1..0000000
--- a/app-misc/strigi/strigi-9999.ebuild
+++ /dev/null
@@ -1,94 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-if [[ "${PV}" != "9999" ]]; then
- SRC_URI="http://www.vandenoever.info/software/strigi/${P}.tar.bz2"
- KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
-else
- EGIT_REPO_URI=( "git://anongit.kde.org/strigi" )
- GIT_ECLASS="git-r3"
- KEYWORDS=""
-fi
-
-inherit cmake-utils ${GIT_ECLASS}
-
-DESCRIPTION="Fast crawling desktop search engine with Qt4 GUI"
-HOMEPAGE="https://projects.kde.org/projects/kdesupport/strigi/strigi"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="clucene +dbus debug exif fam ffmpeg inotify libav log +qt4 test"
-
-RDEPEND="
- app-arch/bzip2
- dev-libs/libxml2:2
- sys-libs/zlib
- virtual/libiconv
- clucene? ( >=dev-cpp/clucene-0.9.21[-debug] )
- dbus? (
- sys-apps/dbus
- qt4? ( dev-qt/qtdbus:4 )
- )
- exif? ( media-gfx/exiv2:= )
- fam? ( virtual/fam )
- ffmpeg? (
- libav? ( media-video/libav:0= )
- !libav? ( media-video/ffmpeg:0= )
- )
- log? ( >=dev-libs/log4cxx-0.10.0 )
- qt4? (
- dev-qt/qtcore:4
- dev-qt/qtgui:4
- )
-"
-DEPEND="${RDEPEND}
- test? ( dev-util/cppunit )
-"
-
-if [[ ${PV} == 9999 ]] ; then
- src_unpack() {
- git config --global url."git://anongit.kde.org/".insteadOf "kde:" || die
- git-r3_src_unpack
- pushd "${S}" > /dev/null || die
- git submodule foreach git checkout master || die
- popd > /dev/null || die
- }
-fi
-
-src_configure() {
- # Enabled: POLLING (only reliable way to check for files changed.)
- # Disabled: xine - recommended upstream to keep it this way
- local mycmakeargs=(
- -DENABLE_POLLING=ON
- -DFORCE_DEPS=ON
- -DENABLE_REGENERATEXSD=OFF
- -DENABLE_XINE=OFF
- $(cmake-utils_use_enable clucene CLUCENE)
- $(cmake-utils_use_enable clucene CLUCENE_NG)
- $(cmake-utils_use_enable dbus)
- $(cmake-utils_use_enable exif EXIV2)
- $(cmake-utils_use_enable fam)
- $(cmake-utils_use_enable ffmpeg)
- $(cmake-utils_use_enable inotify)
- $(cmake-utils_use_enable log LOG4CXX)
- $(cmake-utils_use_enable qt4)
- $(cmake-utils_use_find_package test CPPUNIT)
- )
-
- if use qt4; then
- mycmakeargs+=( -DENABLE_DBUS=ON )
- fi
-
- cmake-utils_src_configure
-}
-
-pkg_postinst() {
- if ! use clucene ; then
- elog "Because you didn't enable the clucene backend, strigi may not be functional."
- elog "If you intend to use standalone strigi indexer (not needed for KDE),"
- elog "be sure to reinstall app-misc/strigi with the clucene USE flag enabled."
- fi
-}
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2015-05-18 13:32 Michael Palimaka
0 siblings, 0 replies; 18+ messages in thread
From: Michael Palimaka @ 2015-05-18 13:32 UTC (permalink / raw
To: gentoo-commits
commit: ac5fb951a3b24c90568c1639061ed64ceade7c11
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Mon May 18 13:32:17 2015 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Mon May 18 13:32:17 2015 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=ac5fb951
[app-misc/strigi] Sync with main tree - implement new-style ffmpeg/libav USE flags.
Package-Manager: portage-2.2.19
app-misc/strigi/strigi-9999.ebuild | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index 3b47040..c71edd1 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -20,7 +20,7 @@ HOMEPAGE="https://projects.kde.org/projects/kdesupport/strigi/strigi"
LICENSE="GPL-2"
SLOT="0"
-IUSE="clucene +dbus debug exif fam ffmpeg inotify log +qt4 test"
+IUSE="clucene +dbus debug exif fam ffmpeg inotify libav log +qt4 test"
RDEPEND="
app-arch/bzip2
@@ -34,7 +34,10 @@ RDEPEND="
)
exif? ( media-gfx/exiv2:= )
fam? ( virtual/fam )
- ffmpeg? ( virtual/ffmpeg )
+ ffmpeg? (
+ libav? ( media-video/libav:0= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
log? ( >=dev-libs/log4cxx-0.10.0 )
qt4? (
dev-qt/qtcore:4
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2014-06-24 15:18 Michael Palimaka
0 siblings, 0 replies; 18+ messages in thread
From: Michael Palimaka @ 2014-06-24 15:18 UTC (permalink / raw
To: gentoo-commits
commit: b5367ab048d899a4f127672f8bc8c31cd254ae07
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 24 15:18:36 2014 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Tue Jun 24 15:18:36 2014 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=b5367ab0
[app-misc/strigi] Fix switching to submodule master wrt bug #514874.
In git-r3 eclass there is no remotes so origin does not exist.
Package-Manager: portage-2.2.10
---
app-misc/strigi/strigi-9999.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index 9374e73..0df2450 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -50,7 +50,7 @@ if [[ ${PV} == 9999 ]] ; then
git config --global url."git://anongit.kde.org/".insteadOf "kde:" || die
git-r3_src_unpack
pushd "${S}" > /dev/null || die
- git submodule foreach git checkout origin/master || die
+ git submodule foreach git checkout master || die
popd > /dev/null || die
}
fi
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2013-12-20 11:46 Johannes Huber
0 siblings, 0 replies; 18+ messages in thread
From: Johannes Huber @ 2013-12-20 11:46 UTC (permalink / raw
To: gentoo-commits
commit: 1f3b88c81088ab89dbd0c7949c24dc022170d1fe
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 20 10:45:55 2013 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Fri Dec 20 10:45:55 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=1f3b88c8
[app-misc/strigi] Use media-gfx/exiv2 subslot
Package-Manager: portage-2.2.7
---
app-misc/strigi/strigi-9999.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index ba0b8db..07af281 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -32,7 +32,7 @@ RDEPEND="
sys-apps/dbus
qt4? ( dev-qt/qtdbus:4 )
)
- exif? ( >=media-gfx/exiv2-0.17 )
+ exif? ( media-gfx/exiv2:= )
fam? ( virtual/fam )
ffmpeg? ( virtual/ffmpeg )
log? ( >=dev-libs/log4cxx-0.10.0 )
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2013-11-18 20:11 Johannes Huber
0 siblings, 0 replies; 18+ messages in thread
From: Johannes Huber @ 2013-11-18 20:11 UTC (permalink / raw
To: gentoo-commits
commit: 2bd4b2d039e8f9af8fbc5f3374e52a0aca987eaa
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 18 20:11:08 2013 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Mon Nov 18 20:11:08 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=2bd4b2d0
[app-misc/strigi] Fix build by Jakub Caban <kuba <AT> whyblack.pl> wrt bug #491578
Package-Manager: portage-2.2.7
---
app-misc/strigi/strigi-9999.ebuild | 1 -
1 file changed, 1 deletion(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index 398fab4..ba0b8db 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -10,7 +10,6 @@ if [[ "${PV}" != "9999" ]]; then
else
EGIT_REPO_URI=( "git://anongit.kde.org/strigi" )
GIT_ECLASS="git-r3"
- EGIT_HAS_SUBMODULES="true"
KEYWORDS=""
fi
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2013-10-13 17:03 Johannes Huber
0 siblings, 0 replies; 18+ messages in thread
From: Johannes Huber @ 2013-10-13 17:03 UTC (permalink / raw
To: gentoo-commits
commit: ecfe04cdcb65b99f6c35ff6eb8af66311d9a5248
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 13 18:41:38 2013 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sun Oct 13 18:41:38 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=ecfe04cd
[app-misc/strigi] Move to git-r3 eclass.
Package-Manager: portage-2.2.7
---
app-misc/strigi/strigi-9999.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index 15df729..398fab4 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -8,8 +8,8 @@ if [[ "${PV}" != "9999" ]]; then
SRC_URI="http://www.vandenoever.info/software/strigi/${P}.tar.bz2"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
else
- EGIT_REPO_URI="git://anongit.kde.org/strigi"
- GIT_ECLASS="git-2"
+ EGIT_REPO_URI=( "git://anongit.kde.org/strigi" )
+ GIT_ECLASS="git-r3"
EGIT_HAS_SUBMODULES="true"
KEYWORDS=""
fi
@@ -49,7 +49,7 @@ DEPEND="${RDEPEND}
if [[ ${PV} == 9999 ]] ; then
src_unpack() {
git config --global url."git://anongit.kde.org/".insteadOf "kde:" || die
- git-2_src_unpack
+ git-r3_src_unpack
pushd "${S}" > /dev/null || die
git submodule foreach git checkout origin/master || die
popd > /dev/null || die
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2013-09-01 16:40 Michael Palimaka
0 siblings, 0 replies; 18+ messages in thread
From: Michael Palimaka @ 2013-09-01 16:40 UTC (permalink / raw
To: gentoo-commits
commit: a6db5bcc4752e557863532b314c1807d1a9e761b
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 1 16:35:51 2013 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun Sep 1 16:37:22 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=a6db5bcc
[app-misc/strigi] Update to match upstream changes.
Boost is no longer required, and the hyperestraier backend no longer exists.
Package-Manager: portage-2.2.1
---
app-misc/strigi/metadata.xml | 13 ++++++-------
app-misc/strigi/strigi-9999.ebuild | 38 +++++++++++++++-----------------------
2 files changed, 21 insertions(+), 30 deletions(-)
diff --git a/app-misc/strigi/metadata.xml b/app-misc/strigi/metadata.xml
index 8e6ee8e..573236b 100644
--- a/app-misc/strigi/metadata.xml
+++ b/app-misc/strigi/metadata.xml
@@ -1,11 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<use>
- <flag name="clucene">Enable <pkg>dev-cpp/clucene</pkg> backend support.</flag>
- <flag name="hyperestraier">Enable <pkg>app-text/hyperestraier</pkg> backend support.</flag>
- <flag name="log">Enables advanced logging through <pkg>dev-libs/log4cxx</pkg>.</flag>
- <flag name="inotify">Enable support for inotify.</flag>
-</use>
-<herd>kde</herd>
+ <herd>kde</herd>
+ <use>
+ <flag name="clucene">Enable <pkg>dev-cpp/clucene</pkg> backend support.</flag>
+ <flag name="log">Enables advanced logging through <pkg>dev-libs/log4cxx</pkg>.</flag>
+ <flag name="inotify">Enable support for inotify.</flag>
+ </use>
</pkgmetadata>
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index 5621935..15df729 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -5,8 +5,8 @@
EAPI=5
if [[ "${PV}" != "9999" ]]; then
- SRC_URI="http://dev.gentoo.org/~johu/distfiles/${P}.tar.xz"
- KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+ SRC_URI="http://www.vandenoever.info/software/strigi/${P}.tar.bz2"
+ KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
else
EGIT_REPO_URI="git://anongit.kde.org/strigi"
GIT_ECLASS="git-2"
@@ -21,13 +21,12 @@ HOMEPAGE="https://projects.kde.org/projects/kdesupport/strigi/strigi"
LICENSE="GPL-2"
SLOT="0"
-IUSE="clucene +dbus debug exif fam ffmpeg hyperestraier inotify log +qt4 test"
+IUSE="clucene +dbus debug exif fam ffmpeg inotify log +qt4 test"
-COMMONDEPEND="
- app-arch/bzip2:0
- dev-libs/boost:=
+RDEPEND="
+ app-arch/bzip2
dev-libs/libxml2:2
- sys-libs/zlib:0
+ sys-libs/zlib
virtual/libiconv
clucene? ( >=dev-cpp/clucene-0.9.21[-debug] )
dbus? (
@@ -37,16 +36,15 @@ COMMONDEPEND="
exif? ( >=media-gfx/exiv2-0.17 )
fam? ( virtual/fam )
ffmpeg? ( virtual/ffmpeg )
- hyperestraier? ( app-text/hyperestraier )
log? ( >=dev-libs/log4cxx-0.10.0 )
qt4? (
dev-qt/qtcore:4
dev-qt/qtgui:4
)
"
-DEPEND="${COMMONDEPEND}
- test? ( dev-util/cppunit )"
-RDEPEND="${COMMONDEPEND}"
+DEPEND="${RDEPEND}
+ test? ( dev-util/cppunit )
+"
if [[ ${PV} == 9999 ]] ; then
src_unpack() {
@@ -61,10 +59,9 @@ fi
src_configure() {
# Enabled: POLLING (only reliable way to check for files changed.)
# Disabled: xine - recommended upstream to keep it this way
- mycmakeargs=(
+ local mycmakeargs=(
-DENABLE_POLLING=ON
-DFORCE_DEPS=ON
- -DENABLE_CPPUNIT=OFF
-DENABLE_REGENERATEXSD=OFF
-DENABLE_XINE=OFF
$(cmake-utils_use_enable clucene CLUCENE)
@@ -73,28 +70,23 @@ src_configure() {
$(cmake-utils_use_enable exif EXIV2)
$(cmake-utils_use_enable fam)
$(cmake-utils_use_enable ffmpeg)
- $(cmake-utils_use_enable hyperestraier)
$(cmake-utils_use_enable inotify)
$(cmake-utils_use_enable log LOG4CXX)
$(cmake-utils_use_enable qt4)
- $(cmake-utils_use_enable test CPPUNIT)
+ $(cmake-utils_use_find_package test CPPUNIT)
)
if use qt4; then
- mycmakeargs+=(-DENABLE_DBUS=ON)
+ mycmakeargs+=( -DENABLE_DBUS=ON )
fi
cmake-utils_src_configure
}
pkg_postinst() {
- if ! use clucene && ! use hyperestraier; then
- echo
- elog "Because you didn't enable either of the available backends:"
- elog "clucene or hyperestraier, strigi may not be functional."
+ if ! use clucene ; then
+ elog "Because you didn't enable the clucene backend, strigi may not be functional."
elog "If you intend to use standalone strigi indexer (not needed for KDE),"
- elog "be sure to reinstall app-misc/strigi with either clucene (recommended)"
- elog "or hyperestraier (unreliable) USE flag enabled."
- echo
+ elog "be sure to reinstall app-misc/strigi with the clucene USE flag enabled."
fi
}
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2013-03-03 15:52 Michael Palimaka
0 siblings, 0 replies; 18+ messages in thread
From: Michael Palimaka @ 2013-03-03 15:52 UTC (permalink / raw
To: gentoo-commits
commit: c5c641f1347efa19e1bdda446a5c9ed75abfe12b
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 3 15:52:11 2013 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun Mar 3 15:52:11 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=c5c641f1
[app-misc/strigi] Add subslot dependency for boost.
Package-Manager: portage-2.1.11.53
---
app-misc/strigi/strigi-9999.ebuild | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index efd2633..5621935 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -25,7 +25,7 @@ IUSE="clucene +dbus debug exif fam ffmpeg hyperestraier inotify log +qt4 test"
COMMONDEPEND="
app-arch/bzip2:0
- dev-libs/boost
+ dev-libs/boost:=
dev-libs/libxml2:2
sys-libs/zlib:0
virtual/libiconv
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2013-02-25 13:19 Michael Palimaka
0 siblings, 0 replies; 18+ messages in thread
From: Michael Palimaka @ 2013-02-25 13:19 UTC (permalink / raw
To: gentoo-commits
commit: 343bca58f380fa42d52fafa9aae0fecccd3af191
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 25 13:19:03 2013 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Mon Feb 25 13:19:03 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=343bca58
[app-misc/strigi] Migrate to EAPI 5. Sync KEYWORDS. Tweak submodule checkout. Fix clucene automagic.
Package-Manager: portage-2.1.11.52
---
app-misc/strigi/strigi-9999.ebuild | 9 +++++----
1 files changed, 5 insertions(+), 4 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index bb8519a..9d27f67 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -2,11 +2,11 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=4
+EAPI=5
if [[ "${PV}" != "9999" ]]; then
SRC_URI="http://dev.gentoo.org/~johu/distfiles/${P}.tar.xz"
- KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+ KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
else
EGIT_REPO_URI="git://anongit.kde.org/strigi"
GIT_ECLASS="git-2"
@@ -53,7 +53,7 @@ if [[ ${PV} == 9999 ]] ; then
git config --global url."git://anongit.kde.org/".insteadOf "kde:" || die
git-2_src_unpack
pushd "${S}" > /dev/null || die
- git submodule foreach git checkout master || die
+ git submodule foreach git checkout origin/master || die
popd > /dev/null || die
}
fi
@@ -67,7 +67,8 @@ src_configure() {
-DENABLE_CPPUNIT=OFF
-DENABLE_REGENERATEXSD=OFF
-DENABLE_XINE=OFF
- $(cmake-utils_use_enable clucene)
+ $(cmake-utils_use_enable clucene CLUCENE)
+ $(cmake-utils_use_enable clucene CLUCENE_NG)
$(cmake-utils_use_enable dbus)
$(cmake-utils_use_enable exif EXIV2)
$(cmake-utils_use_enable fam)
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2012-11-11 16:45 Johannes Huber
0 siblings, 0 replies; 18+ messages in thread
From: Johannes Huber @ 2012-11-11 16:45 UTC (permalink / raw
To: gentoo-commits
commit: 2b0e1c75e4980c86b30c7314951b59bf67989279
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 11 17:47:08 2012 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sun Nov 11 17:47:08 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=2b0e1c75
[app-misc/strigi] Make repoman happy, quote vars.
Package-Manager: portage-2.2.0_alpha142
---
app-misc/strigi/strigi-9999.ebuild | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index 3aa0780..4facffb 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -59,8 +59,8 @@ if [[ ${PV} == 9999 ]] ; then
fi
src_prepare() {
- cd ${S}/strigidaemon/bin/daemon/eventlistener
- epatch ${FILESDIR}/strigi-fix-sleep.patch || die "Fail"
+ cd "${S}/strigidaemon/bin/daemon/eventlistener"
+ epatch "${FILESDIR}/strigi-fix-sleep.patch" || die "Fail"
}
src_configure() {
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2012-07-24 13:21 Michael Palimaka
0 siblings, 0 replies; 18+ messages in thread
From: Michael Palimaka @ 2012-07-24 13:21 UTC (permalink / raw
To: gentoo-commits
commit: 7df6ba116eb169b0f747ccf2e41d0b68d685505f
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 24 13:20:58 2012 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Tue Jul 24 13:21:17 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=7df6ba11
[app-misc/strigi] Force each submodule to always use master, wrt bug #427050.
(Portage version: 2.1.11.9/git/Linux x86_64, unsigned Manifest commit)
---
app-misc/strigi/strigi-9999.ebuild | 5 ++++-
1 files changed, 4 insertions(+), 1 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index b4f4136..3a627c1 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -50,8 +50,11 @@ RDEPEND="${COMMONDEPEND}"
if [[ ${PV} == 9999 ]] ; then
src_unpack() {
- git config --global url."git://anongit.kde.org/".insteadOf "kde:"
+ git config --global url."git://anongit.kde.org/".insteadOf "kde:" || die
git-2_src_unpack
+ pushd "${S}" > /dev/null || die
+ git submodule foreach git checkout master || die
+ popd > /dev/null || die
}
fi
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2011-12-15 12:01 Johannes Huber
0 siblings, 0 replies; 18+ messages in thread
From: Johannes Huber @ 2011-12-15 12:01 UTC (permalink / raw
To: gentoo-commits
commit: 35fd29d01128c9d352b6f5b9936888df00b88849
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 15 12:01:06 2011 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Thu Dec 15 12:01:06 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=35fd29d0
[app-misc/strigi] Sync with tree
(Portage version: 2.2.0_alpha80/git/Linux x86_64, unsigned Manifest commit)
---
app-misc/strigi/ChangeLog | 9 ---------
app-misc/strigi/strigi-9999.ebuild | 6 +++---
2 files changed, 3 insertions(+), 12 deletions(-)
diff --git a/app-misc/strigi/ChangeLog b/app-misc/strigi/ChangeLog
deleted file mode 100644
index b90d22c..0000000
--- a/app-misc/strigi/ChangeLog
+++ /dev/null
@@ -1,9 +0,0 @@
-# ChangeLog for app-misc/strigi
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: $
-
- 25 Sep 2011; Andreas K. Huettel <dilfridge@gentoo.org>
- -strigi-0.7.5-r3.ebuild, -files/strigi-0.7.5-clucene23.patch,
- -files/strigi-0.7.5-ffmpeg.patch, strigi-9999.ebuild:
- Version bump to main tree. Should be packaged from git tags in the future.
-
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index efb8fb2..c66ac9c 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -1,11 +1,11 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/strigi/strigi-0.7.6.ebuild,v 1.1 2011/09/25 19:11:25 dilfridge Exp $
+# $Header: $
EAPI=4
if [[ "${PV}" != "9999" ]]; then
- SRC_URI="http://dev.gentoo.org/~dilfridge/distfiles/${P}.tar.xz"
+ SRC_URI="http://dev.gentoo.org/~johu/distfiles/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
else
EGIT_REPO_URI="git://anongit.kde.org/strigi"
@@ -57,7 +57,7 @@ src_configure() {
-DENABLE_CPPUNIT=OFF
-DENABLE_REGENERATEXSD=OFF
-DENABLE_XINE=OFF
- $(cmake-utils_use_enable clucene)
+ $(cmake-utils_use_enable clucene CLUCENE)
$(cmake-utils_use_enable dbus)
$(cmake-utils_use_enable exif EXIV2)
$(cmake-utils_use_enable fam)
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2011-09-27 19:32 Andreas Hüttel
0 siblings, 0 replies; 18+ messages in thread
From: Andreas Hüttel @ 2011-09-27 19:32 UTC (permalink / raw
To: gentoo-commits
commit: 3babff575c26a28c190e79d8b080558bf0f4d854
Author: Andreas K. Huettel (dilfridge) <mail <AT> akhuettel <DOT> de>
AuthorDate: Tue Sep 27 19:33:00 2011 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue Sep 27 19:33:00 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=3babff57
[app-misc/strigi] Add missing boost dependency, bug 384519
(Portage version: 2.1.10.19/git/Linux x86_64, signed Manifest commit with key B6C5F7DE)
---
app-misc/strigi/strigi-9999.ebuild | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index 41ed4e1..8e07bad 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -25,6 +25,7 @@ IUSE="clucene +dbus debug exif fam ffmpeg hyperestraier inotify log +qt4 test"
COMMONDEPEND="
app-arch/bzip2:0
+ dev-libs/boost
dev-libs/libxml2:2
sys-libs/zlib:0
virtual/libiconv
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2011-08-10 21:46 Andreas Hüttel
0 siblings, 0 replies; 18+ messages in thread
From: Andreas Hüttel @ 2011-08-10 21:46 UTC (permalink / raw
To: gentoo-commits
commit: 892415694093e6a1309470a5bcd5964be42c9026
Author: Andreas K. Huettel (dilfridge) <mail <AT> akhuettel <DOT> de>
AuthorDate: Wed Aug 10 21:46:57 2011 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Wed Aug 10 21:46:57 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=89241569
[app-misc/strigi] dont use invalid useflag xine, bug 378155
(Portage version: 2.1.10.10/git/Linux x86_64, signed Manifest commit with key B6C5F7DE)
---
app-misc/strigi/strigi-9999.ebuild | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index b837ad8..d9dae36 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -55,6 +55,7 @@ src_configure() {
-DFORCE_DEPS=ON
-DENABLE_CPPUNIT=OFF
-DENABLE_REGENERATEXSD=OFF
+ -DENABLE_XINE=OFF
$(cmake-utils_use_enable clucene)
$(cmake-utils_use_enable dbus)
$(cmake-utils_use_enable exif EXIV2)
@@ -65,7 +66,6 @@ src_configure() {
$(cmake-utils_use_enable log LOG4CXX)
$(cmake-utils_use_enable qt4)
$(cmake-utils_use_enable test CPPUNIT)
- $(cmake-utils_use_disable xine)
)
if use qt4; then
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2011-07-17 12:13 Andreas Hüttel
0 siblings, 0 replies; 18+ messages in thread
From: Andreas Hüttel @ 2011-07-17 12:13 UTC (permalink / raw
To: gentoo-commits
commit: cb57e70fe449c5cf5c41da48f5b179ac0b79fb74
Author: Andreas K. Huettel (dilfridge) <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 17 12:13:26 2011 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Jul 17 12:13:26 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=cb57e70f
[app-misc/strigi] Moved to main tree
(Portage version: 2.1.10.5/git/Linux x86_64, signed Manifest commit with key 7887F787)
---
app-misc/strigi/strigi-0.7.5.ebuild | 92 -----------------------------------
1 files changed, 0 insertions(+), 92 deletions(-)
diff --git a/app-misc/strigi/strigi-0.7.5.ebuild b/app-misc/strigi/strigi-0.7.5.ebuild
deleted file mode 100644
index 10d66d4..0000000
--- a/app-misc/strigi/strigi-0.7.5.ebuild
+++ /dev/null
@@ -1,92 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=4
-
-if [[ "${PV}" != "9999" ]]; then
- SRC_URI="http://www.vandenoever.info/software/${PN}/${P}.tar.bz2"
- KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-else
- EGIT_REPO_URI="git://anongit.kde.org/strigi"
- GIT_ECLASS="git-2"
- EGIT_HAS_SUBMODULES="true"
- KEYWORDS=""
-fi
-
-inherit cmake-utils ${GIT_ECLASS}
-
-DESCRIPTION="Fast crawling desktop search engine with Qt4 GUI"
-HOMEPAGE="http://strigi.sourceforge.net/"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="clucene +dbus debug exif fam ffmpeg hyperestraier inotify log +qt4 test"
-
-COMMONDEPEND="
- app-arch/bzip2:0
- dev-libs/libxml2:2
- sys-libs/zlib:0
- virtual/libiconv
- clucene? ( >=dev-cpp/clucene-0.9.21[-debug] )
- dbus? (
- sys-apps/dbus
- qt4? ( x11-libs/qt-dbus:4 )
- )
- exif? ( >=media-gfx/exiv2-0.17 )
- fam? ( virtual/fam )
- ffmpeg? ( virtual/ffmpeg )
- hyperestraier? ( app-text/hyperestraier )
- log? ( >=dev-libs/log4cxx-0.10.0 )
- qt4? (
- x11-libs/qt-core:4
- x11-libs/qt-gui:4
- )
-"
-DEPEND="${COMMONDEPEND}
- test? ( dev-util/cppunit )"
-RDEPEND="${COMMONDEPEND}"
-
-PATCHES=(
- "${FILESDIR}/${PN}-0.7.5-no-qt4.patch"
-)
-
-src_configure() {
- # Enabled: POLLING (only reliable way to check for files changed.)
- # Disabled: xine - recommended upstream to keep it this way
- mycmakeargs=(
- -DENABLE_POLLING=ON
- -DFORCE_DEPS=ON
- -DENABLE_CPPUNIT=OFF
- -DENABLE_REGENERATEXSD=OFF
- $(cmake-utils_use_enable clucene)
- $(cmake-utils_use_enable dbus)
- $(cmake-utils_use_enable exif EXIV2)
- $(cmake-utils_use_enable fam)
- $(cmake-utils_use_enable ffmpeg)
- $(cmake-utils_use_enable hyperestraier)
- $(cmake-utils_use_enable inotify)
- $(cmake-utils_use_enable log LOG4CXX)
- $(cmake-utils_use_enable qt4)
- $(cmake-utils_use_enable test CPPUNIT)
- $(cmake-utils_disable xine)
- )
-
- if use qt4; then
- mycmakeargs+=(-DENABLE_DBUS=ON)
- fi
-
- cmake-utils_src_configure
-}
-
-pkg_postinst() {
- if ! use clucene && ! use hyperestraier; then
- echo
- elog "Because you didn't enable either of the available backends:"
- elog "clucene or hyperestraier, strigi may not be functional."
- elog "If you intend to use standalone strigi indexer (not needed for KDE),"
- elog "be sure to reinstall app-misc/strigi with either clucene (recommended)"
- elog "or hyperestraier (unreliable) USE flag enabled."
- echo
- fi
-}
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2011-07-14 22:18 Johannes Huber
0 siblings, 0 replies; 18+ messages in thread
From: Johannes Huber @ 2011-07-14 22:18 UTC (permalink / raw
To: gentoo-commits
commit: 583df0b451904512c957f6c485059e9c6cfd05c6
Author: Johannes Huber <johu <AT> gmx <DOT> de>
AuthorDate: Thu Jul 14 22:19:39 2011 +0000
Commit: Johannes Huber <johu <AT> gmx <DOT> de>
CommitDate: Thu Jul 14 22:19:39 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=583df0b4
[app-misc/strigi] fix disabling xine use flag typo
---
app-misc/strigi/strigi-9999.ebuild | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/app-misc/strigi/strigi-9999.ebuild b/app-misc/strigi/strigi-9999.ebuild
index eaada6f..b837ad8 100644
--- a/app-misc/strigi/strigi-9999.ebuild
+++ b/app-misc/strigi/strigi-9999.ebuild
@@ -65,7 +65,7 @@ src_configure() {
$(cmake-utils_use_enable log LOG4CXX)
$(cmake-utils_use_enable qt4)
$(cmake-utils_use_enable test CPPUNIT)
- $(cmake-utils_disable xine)
+ $(cmake-utils_use_disable xine)
)
if use qt4; then
^ permalink raw reply related [flat|nested] 18+ messages in thread
* [gentoo-commits] proj/kde:master commit in: app-misc/strigi/
@ 2011-07-12 20:28 Andreas Hüttel
0 siblings, 0 replies; 18+ messages in thread
From: Andreas Hüttel @ 2011-07-12 20:28 UTC (permalink / raw
To: gentoo-commits
commit: fb22f5a64c4d62300c2cc52a21d0671f86ba8c1d
Author: Andreas K. Huettel (dilfridge) <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 12 20:27:47 2011 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue Jul 12 20:28:20 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=fb22f5a6
[app-misc/strigi] moved to main tree
(Portage version: 2.1.10.4/git/Linux x86_64, signed Manifest commit with key 7887F787)
---
app-misc/strigi/strigi-0.7.5.ebuild | 88 -----------------------------------
1 files changed, 0 insertions(+), 88 deletions(-)
diff --git a/app-misc/strigi/strigi-0.7.5.ebuild b/app-misc/strigi/strigi-0.7.5.ebuild
deleted file mode 100644
index eaada6f..0000000
--- a/app-misc/strigi/strigi-0.7.5.ebuild
+++ /dev/null
@@ -1,88 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=4
-
-if [[ "${PV}" != "9999" ]]; then
- SRC_URI="http://www.vandenoever.info/software/${PN}/${P}.tar.bz2"
- KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-else
- EGIT_REPO_URI="git://anongit.kde.org/strigi"
- GIT_ECLASS="git-2"
- EGIT_HAS_SUBMODULES="true"
- KEYWORDS=""
-fi
-
-inherit cmake-utils ${GIT_ECLASS}
-
-DESCRIPTION="Fast crawling desktop search engine with Qt4 GUI"
-HOMEPAGE="http://strigi.sourceforge.net/"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="clucene +dbus debug exif fam ffmpeg hyperestraier inotify log +qt4 test"
-
-COMMONDEPEND="
- app-arch/bzip2:0
- dev-libs/libxml2:2
- sys-libs/zlib:0
- virtual/libiconv
- clucene? ( >=dev-cpp/clucene-0.9.21[-debug] )
- dbus? (
- sys-apps/dbus
- qt4? ( x11-libs/qt-dbus:4 )
- )
- exif? ( >=media-gfx/exiv2-0.17 )
- fam? ( virtual/fam )
- ffmpeg? ( virtual/ffmpeg )
- hyperestraier? ( app-text/hyperestraier )
- log? ( >=dev-libs/log4cxx-0.10.0 )
- qt4? (
- x11-libs/qt-core:4
- x11-libs/qt-gui:4
- )
-"
-DEPEND="${COMMONDEPEND}
- test? ( dev-util/cppunit )"
-RDEPEND="${COMMONDEPEND}"
-
-src_configure() {
- # Enabled: POLLING (only reliable way to check for files changed.)
- # Disabled: xine - recommended upstream to keep it this way
- mycmakeargs=(
- -DENABLE_POLLING=ON
- -DFORCE_DEPS=ON
- -DENABLE_CPPUNIT=OFF
- -DENABLE_REGENERATEXSD=OFF
- $(cmake-utils_use_enable clucene)
- $(cmake-utils_use_enable dbus)
- $(cmake-utils_use_enable exif EXIV2)
- $(cmake-utils_use_enable fam)
- $(cmake-utils_use_enable ffmpeg)
- $(cmake-utils_use_enable hyperestraier)
- $(cmake-utils_use_enable inotify)
- $(cmake-utils_use_enable log LOG4CXX)
- $(cmake-utils_use_enable qt4)
- $(cmake-utils_use_enable test CPPUNIT)
- $(cmake-utils_disable xine)
- )
-
- if use qt4; then
- mycmakeargs+=(-DENABLE_DBUS=ON)
- fi
-
- cmake-utils_src_configure
-}
-
-pkg_postinst() {
- if ! use clucene && ! use hyperestraier; then
- echo
- elog "Because you didn't enable either of the available backends:"
- elog "clucene or hyperestraier, strigi may not be functional."
- elog "If you intend to use standalone strigi indexer (not needed for KDE),"
- elog "be sure to reinstall app-misc/strigi with either clucene (recommended)"
- elog "or hyperestraier (unreliable) USE flag enabled."
- echo
- fi
-}
^ permalink raw reply related [flat|nested] 18+ messages in thread
end of thread, other threads:[~2015-07-18 21:31 UTC | newest]
Thread overview: 18+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-06-25 16:51 [gentoo-commits] proj/kde:master commit in: app-misc/strigi/ Michael Palimaka
-- strict thread matches above, loose matches on Subject: below --
2015-07-18 21:31 Johannes Huber
2015-05-18 13:32 Michael Palimaka
2014-06-24 15:18 Michael Palimaka
2013-12-20 11:46 Johannes Huber
2013-11-18 20:11 Johannes Huber
2013-10-13 17:03 Johannes Huber
2013-09-01 16:40 Michael Palimaka
2013-03-03 15:52 Michael Palimaka
2013-02-25 13:19 Michael Palimaka
2012-11-11 16:45 Johannes Huber
2012-07-24 13:21 Michael Palimaka
2011-12-15 12:01 Johannes Huber
2011-09-27 19:32 Andreas Hüttel
2011-08-10 21:46 Andreas Hüttel
2011-07-17 12:13 Andreas Hüttel
2011-07-14 22:18 Johannes Huber
2011-07-12 20:28 Andreas Hüttel
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox